import request from '@/utils/request'

// 查询黑名单列表
export function listCompanyVoiceBlacklist(query) {
  return request({
    url: '/company/companyVoiceBlacklist/list',
    method: 'get',
    params: query
  })
}

// 查询黑名单详细
export function getCompanyVoiceBlacklist(blacklistId) {
  return request({
    url: '/company/companyVoiceBlacklist/' + blacklistId,
    method: 'get'
  })
}

// 新增黑名单
export function addCompanyVoiceBlacklist(data) {
  return request({
    url: '/company/companyVoiceBlacklist',
    method: 'post',
    data: data
  })
}

// 修改黑名单
export function updateCompanyVoiceBlacklist(data) {
  return request({
    url: '/company/companyVoiceBlacklist',
    method: 'put',
    data: data
  })
}

// 删除黑名单
export function delCompanyVoiceBlacklist(blacklistId) {
  return request({
    url: '/company/companyVoiceBlacklist/' + blacklistId,
    method: 'delete'
  })
}

// 导出黑名单
export function exportCompanyVoiceBlacklist(query) {
  return request({
    url: '/company/companyVoiceBlacklist/export',
    method: 'get',
    params: query
  })
}